#ifndef EXPORTWIDGET_H
#define EXPORTWIDGET_H

#include <QWidget>
#include <QSettings>

namespace Ui {
class ExportWidget;
}

class LotroDatManager;

class ExportWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ExportWidget(LotroDatManager* mgr, QSettings* settings, QWidget *parent = 0);
    ~ExportWidget();

private:
    void addConnections();

private slots:
    void on_lotromanager_process_started(QString, QVector<QVariant>);

    void on_lotromanager_process_finished(QString, QVector<QVariant>);

    void on_singlefile_radio_common_clicked();

    void on_filesbytype_radio_common_clicked();

    void on_extract_button_common_clicked();

private:
    LotroDatManager* lotro_manager;
    QSettings* settings;
    Ui::ExportWidget *ui;

};

#endif // EXPORTWIDGET_H
